function::stringat
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::stringat — Returns the char at a given position in the string

## Synopsis

        stringat:long(str:string,pos:long)

## Arguments

`str`

  the string to fetch the character from

`pos`

  the position to get the character from (first character is 0)

## Description

This function returns the character at a given position in the string or zero if the string doesn't have as many characters. Reports an error if pos is out of bounds.

Prev | Up | Next
function::string_quoted | Home | function::strlen